List recent quality jobs for a me
GET
/v1/users/me/recent-quality-jobscurl -X GET 'https://api.embodiflow.io/v1/users/me/recent-quality-jobs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Query parameters
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
Responses
Success
- dataarray<WorkflowRunSummaryDto>required
- idstringrequired
- tenantIdstringrequired
- projectIdstring | nullrequired
- workflowDefinitionIdstring | nullrequired
- workflowRevisionIdstring | nullrequired
- jobTypestringrequired
- statusstringrequiredAllowed valuesqueuedrunningsucceededfailedcancelledstartingwaiting_approvalpaused
- datasetIdstring | nullrequired
- datasetVersionIdstring | nullrequired
- uploadBatchIdstring | null
- workflowDefinitionNamestring | null
- workflowNamestring | null
- failureobject
- activeStepKeystring | null
- failedStepKeystring | null
- inputRefobject | nullrequired
- specobject | null
- outputRefobject | nullrequired
- requestedBystring | nullrequired
- startedAtstring | nullrequired
- finishedAtstring | nullrequired
- createdAtstringrequired
- updatedAtstringrequired
- resultSummarystring | null
- errorSummarystring | null
- warningSummaryobject
- hasSoftFailuresone of
- stageBreakdownobject
- triggerSourcestring | null
- isDryRunone of
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobjectrequired
- pageSizenumberrequired
- requestIdstring
Response example
{
"data": [
{
"id": "string",
"tenantId": "string",
"projectId": "string",
"workflowDefinitionId": "string",
"workflowRevisionId": "string",
"jobType": "string",
"status": "queued",
"datasetId": "string",
"datasetVersionId": "string",
"uploadBatchId": "string",
"workflowDefinitionName": "string",
"workflowName": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"activeStepKey": "string",
"failedStepKey": "string",
"inputRef": {},
"spec": {},
"outputRef": {},
"requestedBy": "string",
"startedAt": "string",
"finishedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"resultSummary": "string",
"errorSummary": "string",
"warningSummary": {
"softFailureCount": 0,
"softFailures": [
{
"stepKey": "string",
"attempt": 0,
"reason": "string",
"continuedAt": "string"
}
],
"message": "string"
},
"hasSoftFailures": false,
"stageBreakdown": {
"stages": [
{
"stage": "export",
"title": "string",
"enabledStepCount": 0,
"completedStepCount": 0,
"failedStepCount": 0,
"status": "pending",
"startedAt": "string",
"finishedAt": "string",
"failedStepKey": "string",
"nextAction": "string"
}
],
"failedStage": "export"
},
"triggerSource": "string",
"isDryRun": false
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"requestId": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1